0

i am unable to install chromium-browser in ubuntu-14.04.4.

log

vave@vave-Lenovo-G500:~$ sudo apt-get install chromium-browser
[sudo] password for vave: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
chromium-browser-l10n chromium-codecs-ffmpeg-extra
Suggested packages:
webaccounts-chromium-extension unity-chromium-extension adobe-flashplugin
The following NEW packages will be installed:
chromium-browser chromium-browser-l10n
The following packages will be upgraded:
chromium-codecs-ffmpeg-extra
1 upgraded, 2 newly installed, 0 to remove and 7 not upgraded.
Need to get 74.2 MB of archives.
After this operation, 307 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Err http://in.archive.ubuntu.com/ubuntu/ trusty-updates/universe chromium-codecs-ffmpeg-extra amd64 60.0.3112.78-0ubuntu0.14.04.1190
404  Not Found [IP: 91.189.88.152 80]
Err http://security.ubuntu.com/ubuntu/ trusty-security/universe chromium-codecs-ffmpeg-extra amd64 60.0.3112.78-0ubuntu0.14.04.1190
404  Not Found [IP: 91.189.88.161 80]
Err http://security.ubuntu.com/ubuntu/ trusty-security/universe chromium-browser amd64 60.0.3112.78-0ubuntu0.14.04.1190
404  Not Found [IP: 91.189.88.161 80]
Err http://security.ubuntu.com/ubuntu/ trusty-security/universe chromium-browser-l10n all 60.0.3112.78-0ubuntu0.14.04.1190
404  Not Found [IP: 91.189.88.161 80]
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-codecs-ffmpeg-extra_60.0.3112.78-0ubuntu0.14.04.1190_amd64.deb  404  Not Found [IP: 91.189.88.161 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-browser_60.0.3112.78-0ubuntu0.14.04.1190_amd64.deb  404  Not Found [IP: 91.189.88.161 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-browser-l10n_60.0.3112.78-0ubuntu0.14.04.1190_all.deb  404  Not Found [IP: 91.189.88.161 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
vave@vave-Lenovo-G500:~$ 

I have tried to install the chromium through Ubuntu software center, but it does'nt work, its stating

Failed to download package files
check your internet connection
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-codecs-ffmpeg-extra_60.0.3112.78-0ubuntu0.14.04.1190_amd64.deb 404  Not Found [IP: 91.189.88.162 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-browser_60.0.3112.78-0ubuntu0.14.04.1190_amd64.deb 404  Not Found [IP: 91.189.88.162 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/chromium-browser-l10n_60.0.3112.78-0ubuntu0.14.04.1190_all.deb 404  Not Found [IP: 91.189.88.162 80]

As my internet connection is active it was prompting no internet connection,So please help me how to fix this problem. Thanks in advance

As Tom suggested, i tried sudo apt update , but still facing same problem, log when i tried sudo apt update

log

vave@vave-Lenovo-G500:~$ sudo apt update
[sudo] password for vave: 
Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Ign http://dl.google.com stable InRelease                                      
Hit http://ppa.launchpad.net trusty InRelease                                  
Ign http://extras.ubuntu.com trusty InRelease                                  
Ign http://in.archive.ubuntu.com trusty InRelease                              
Hit http://dl.google.com stable Release.gpg                                    
Hit http://dl.google.com stable Release                                        
Hit http://dl.google.com stable/main amd64 Packages                            
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://extras.ubuntu.com trusty Release.gpg                                
Get:2 http://in.archive.ubuntu.com trusty-updates InRelease [65.9 kB]          
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://extras.ubuntu.com trusty Release                                    
Get:3 http://security.ubuntu.com trusty-security/main Sources [142 kB]         
Ign http://archive.canonical.com trusty InRelease                              
Hit http://extras.ubuntu.com trusty/main Sources                               
Ign http://dl.google.com stable/main Translation-en_IN                         
Hit http://in.archive.ubuntu.com trusty-backports InRelease                    
Ign http://dl.google.com stable/main Translation-en                            
Hit http://archive.canonical.com trusty Release.gpg                            
Hit http://in.archive.ubuntu.com trusty Release.gpg                            
Get:4 http://security.ubuntu.com trusty-security/restricted Sources [4,955 B]
Hit http://archive.canonical.com trusty Release                                

Get:5 http://in.archive.ubuntu.com trusty-updates/main Sources [405 kB]
Get:6 http://security.ubuntu.com trusty-security/universe Sources [63.0 kB]
Get:7 http://in.archive.ubuntu.com trusty-updates/restricted Sources [6,331 B] 
Get:8 http://in.archive.ubuntu.com trusty-updates/universe Sources [189 kB]    
Get:9 http://security.ubuntu.com trusty-security/multiverse Sources [3,215 B]
Get:10 http://in.archive.ubuntu.com trusty-updates/multiverse Sources [7,747 B]
Hit http://in.archive.ubuntu.com trusty-backports/main Sources
Hit http://in.archive.ubuntu.com trusty-backports/restricted Sources
Hit http://in.archive.ubuntu.com trusty-backports/universe Sources
Hit http://in.archive.ubuntu.com trusty-backports/multiverse Sources
Hit http://in.archive.ubuntu.com trusty Release
Hit http://in.archive.ubuntu.com trusty/main Sources
Hit http://in.archive.ubuntu.com trusty/restricted Sources
Hit http://in.archive.ubuntu.com trusty/universe Sources
Hit http://in.archive.ubuntu.com trusty/multiverse Sources
Fetched 953 kB in 4s (215 kB/s)             
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/trusty-backports/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/trusty-security/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ppa.launchpad.net/notepadqq-team/notepadqq/ubuntu/dists/trusty/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ppa.launchpad.net/umang/indicator-stickynotes/ubuntu/dists/trusty/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/trusty/InRelease  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/trusty/Release  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://archive.canonical.com/dists/trusty/Release  Unable to find expected entry 'partner/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/trusty/Release  Unable to find expected entry 'main/binary-1386/Packages' in Release file (Wrong sources.list entry or malformed file)
E: Some index files failed to download. They have been ignored, or old ones used instead.
vave@vave-Lenovo-G500:~$ 
1

Try running sudo apt update. Old versions of packages tend to be removed from the repositories when new versions are put up, so you need to redownload the list of current versions -- this is what apt update does.

The software center is just a graphical program which does the same things the apt command line programs do, so it normally gives the same errors.

  • HI Tom, thanks for ur reply. i tried sudo apt update, but it does not working, can u see the updated post – Ram Koti Sep 13 '17 at 12:18
  • Oh dear. I'm sorry, I've got no idea what's going on there. Perhaps there was a bad update to the security repo (it did get updated again shortly after you tried according to its http headers -- try again?) although it's weird that all those others are failing (do they normally?) If it's still a problem maybe there's some cache you need to delete or something. – Tom Spurling Sep 13 '17 at 13:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.